This discussion is archived
6 Replies Latest reply: Sep 4, 2012 7:04 AM by siddhunrg - Oracle RSS

Exadata how to install extra software

siddhunrg - Oracle Newbie
Currently Being Moderated
Is it supported to install extra OEL5.7 software to exadata db nodes? For example can we install Gnome desktop group from OEL5.7 repo and is it supported?
  • 1. Re: Exadata how to install extra software
    Dave M. Journeyer
    Currently Being Moderated
    The My Oracle Support Community which covers all support related questions about EXADATA is available under: https://communities.oracle.com/portal/server.pt/community/exadata_general/360

    Have you ever visited the Community to exchange, learn, share and get answers to your support related questions?

    The answer to your query is available on the My Oracle Support Community for Exadata
    https://communities.oracle.com/portal/server.pt?open=514&objID=224&mode=2&threadid=412171&aggregatorResults=T412171T392700T388082T386686T390659T370132T394094T392468T398904T394271&sourceCommunityId=360&sourcePortletId=268&doPagination=true&pagedAggregatorPageNo=1&returnUrl=https%3A%2F%2Fcommunities.oracle.com%2Fportal%2Fserver.pt%3Fopen%3Dspace%26name%3DCommunityPage%26id%3D15%26psname%3DOpener%26psid%3D14%26cached%3Dtrue%26in_hi_userid%3D173523%26control%3DSetCommunity%26PageID%3D0%26CommunityID%3D360%26&Portlet=All%20Community%20Discussions&PrevPage=Communities-CommunityHome

    If you have not used the My Oracle Support Communities before, please watch this brief (2 minute) video to help you quickly understand the benefits available to you.
    http://bcove.me/rvjqwdn5

    At your service,

    Dave M.
  • 2. Re: Exadata how to install extra software
    siddhunrg - Oracle Newbie
    Currently Being Moderated
    Our exadata machine have packages from OEL 5.7 update patch. So we some have newer packages installed in system from base OEL 5.7. When we run command yum groupinstall "Gnome Desktop Env." it checks and finds old 5.7 packages for installing. For example freetype package freetype-2.2.1-28.el5_7.2.x86_64 is installed in our system but yum groupinstall looks for freetype-2.2.1-28.el5_5.1.x86_64. Because the installed version is newer the process cannot continue. I think we need to modiy group.xml file from OEL 5.7 repo but we dont know if this is the correct way. What we really need a published OEL 5.7 patch iso file which is currently not available as iso file anywhere.
  • 3. Re: Exadata how to install extra software
    Dan.Norris Employee ACE
    Currently Being Moderated
    Sounds like you may need to change the OL channel(s) you're using from ULN. If you use the OL 5u7 channel, you shouldn't have this issue. I strongly discourage any XML file hacking. There are command-line switches that should be able to skip updates that are older than current installed packages, but I think the best thing would be to use the OL 5u7 channel which I expect should fix your problems entirely.
  • 4. Re: Exadata how to install extra software
    siddhunrg - Oracle Newbie
    Currently Being Moderated
    We already tried that 5u7 media pack from edelivery. It does not work in our case. Some exadata installed packages have newer version than provided in this pack...
  • 5. Re: Exadata how to install extra software
    Marc Fielding Journeyer
    Currently Being Moderated
    I'd suggest using yum for this; yum is built to query repositories to find the latest version of any given package. Plus, you will want to use yum anyway to update the OS kernel when patching.

    Rene Kundersma has blogged about how to do this: https://blogs.oracle.com/XPSONHA/entry/updating_exadata_compute_nodes_using
  • 6. Re: Exadata how to install extra software
    siddhunrg - Oracle Newbie
    Currently Being Moderated
    YUM is not working here. We have newer packages installed in system from base OEL 5.7. When we run command yum groupinstall "Gnome Desktop Env." it checks and finds old 5.7 packages for installing. For example freetype package freetype-2.2.1-28.el5_7.2.x86_64 is installed in our system but yum groupinstall looks for freetype-2.2.1-28.el5_5.1.x86_64.

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points